Subject: Re: [IPsec] Review of PF_KEY extension

From: Paul Hoffman <[email-masked]>
Date: Sat, 13 Nov 2010 16:40:44 +0800

Julien tells me that no one has responded to them. Is there no one here interested in PFKEY any more?

--Paul Hoffman

At 9:40 AM -0700 10/20/10, Laganier, Julien wrote:
>Folks,
>
>We are trying to get this PF_KEY extension document published as an Informational RFC and it would be beneficial if some IPsec experts on this list could help us by reviewing the document.
>
>Please let me know if you are willing to review the document.
>
>Thanks.
>
>--julien
>
>
>PF_KEY Extension as an Interface between Mobile IPv6 and IPsec/IKE
>              draft-ebalard-mext-pfkey-enhanced-migrate-01
>
>Abstract
>
>   This document describes the need for an interface between Mobile IPv6
>   and IPsec/IKE and shows how the two protocols can interwork.  An
>   extension of the PF_KEY framework is proposed which allows smooth and
>   solid operation of IPsec/IKE in a Mobile IPv6 environment.
>
>   PF_KEY MIGRATE message serves as a carrier for updated information
>   for both the in-kernel IPsec structures (Security Policy Database /
>   Security Association Database) and those maintained by the key
>   managers.  This includes in-kernel Security Policy / Security
>   Association endpoints, key manager maintained equivalents, and
>   addresses used by IKE_SA (current and to be negotiated).  The
>   extension is helpful for assuring smooth interworking between Mobile
>   IPv6 and IPsec/IKE for the bootstrapping of mobile nodes and their
>   movements.